Lintian Fixes - emacs-pdf-tools

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/emacs-pdf-tools lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2019-08-25 17:46:36 +0000
+++ b/debian/changelog	2020-06-04 17:57:27 +0000
@@ -1,3 +1,13 @@
+emacs-pdf-tools (0.90-4) UNRELEASED; urgency=low
+
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 17:55:17 -0000
+
 emacs-pdf-tools (0.90-3) unstable; urgency=medium
 
   * Team upload.

=== removed file 'debian/compat'
--- a/debian/compat	2018-10-22 17:06:43 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-11

=== modified file 'debian/control'
--- a/debian/control	2019-01-12 22:04:04 +0000
+++ b/debian/control	2020-06-04 17:57:27 +0000
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper-compat (= 12),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/politza/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/

=== added directory 'debian/upstream'
=== added file 'debian/upstream/metadata'
--- a/debian/upstream/metadata	1970-01-01 00:00:00 +0000
+++ b/debian/upstream/metadata	2020-06-04 17:56:50 +0000
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/politza/pdf-tools/issues
+Bug-Submit: https://github.com/politza/pdf-tools/issues/new
+Repository: https://github.com/politza/pdf-tools.git
+Repository-Browse: https://github.com/politza/pdf-tools

Run locally

Try this locally (using the lintian-brush package):

debcheckout emacs-pdf-tools
cd emacs-pdf-tools
lintian-brush

More details

Full run details